//code: rough copy
#ifndef I_RPGBASEOBJECTCONST_H
#define I_RPGBASEOBJECTCONST_H
//----------------------------------------------------------------------------
//	@brief
//       Constants for use with iRPGObj
//
//	
//	2004May20 created. Zmanovsky Peter.
//	(C) 2004	Sigma-Team
//-----------------------------------------------------------------------------

//for scripts (  )
#define UnneededDefinefkndn			123345


//-----------------------------------------------------------------------
//types of sex
#define		SEX_MALE		0
#define		SEX_FEMALE		1
#define     SEX_ANY         -1

//-----------------------------------------------------------------------
//hp for all armors and heroes is stored in percents -
//RPG_BASE_HP is 100% of health
#define		RPG_BASE_HP		100000


//-----------------------------------------------------------------------
//,          
#define MAX_HERO_LEVEL                                    1000

//-----------------------------------------------------------------------
//types of RPG parameters
//they must be arranged in order of dependence, independent params must be at start,
//every dependent param must be placed after all params, from which it depends

//base skills
#define	RPGHERO_UNKNOWN									0
#define	RPGHERO_INTELLIGENCE							1
#define	RPGHERO_HEALTH									2
#define	RPGHERO_STRENGTH								3
//#define	RPGHERO_ARMOR									4
#define	RPGHERO_SPEED									5
#define	RPGHERO_ACCURACY								6
//#define	RPGHERO_GUNS									7
//#define	RPGHERO_SHORTGUNS								8
//#define	RPGHERO_AUTOGUNS								9
//#define	RPGHERO_GRANADEGUNS								10
//#define	RPGHERO_ENERGOGUNS								11

//all skils before this can be changed by implants
#define	RPGHERO_FOR_IMPLANTS_PARAMS_COUNT				12

//#define	RPGHERO_MONEYBASE								13
#define	RPGHERO_SEX										14

//skills with formula from scripts
#define	RPGHERO_EXP										15
#define	RPGHERO_MAXHP									16
#define	RPGHERO_RANK									17
#define	RPGHERO_MONEY									18
#define	RPGHERO_ACTIVECELLS								19
#define	RPGHERO_RESISTANCE								20
//
#define	RPGHERO_MAXAMMO_1								21
#define	RPGHERO_MAXAMMO_2								22
#define	RPGHERO_MAXAMMO_3								23
#define	RPGHERO_MAXAMMO_4								24
#define	RPGHERO_MAXAMMO_5								25
#define	RPGHERO_MAXAMMO_6								26
#define	RPGHERO_MAXAMMO_7								27
#define	RPGHERO_MAXAMMO_8								28
#define	RPGHERO_MAXAMMO_9								29

//other skills
#define	RPGHERO_VIDHEAD									30
#define	RPGHERO_PERK_HEALING							31
#define	RPGHERO_PERK_EDUCATION							32
#define	RPGHERO_PERK_ADDMONEY							33
#define	RPGHERO_PERK_QUICKSHOTRELOAD					34
#define	RPGHERO_PERK_DARKVISION							35
#define	RPGHERO_PERK_VAMPIRE							36
#define	RPGHERO_PERK_HYPNOSIS							37
#define	RPGHERO_PERK_SECRETSVISION						38
#define	RPGHERO_PERK_QUICKCLIPRELOAD					39
#define	RPGHERO_PERK_HANDTOHAND							40
#define	RPGHERO_PERK_RESISTANCE							41
#define	RPGHERO_SKILLSTOADD								42
#define	RPGHERO_KILLS									43
#define	RPGHERO_MONSTERDAMAGE							44
#define	RPGHERO_DISABLED								45
#define	RPGHERO_LEVEL									46
#define	RPGHERO_NEXTLEVELEXP							47
#define	RPGHERO_COLOR									48
#define	RPGHERO_LIVES									49
#define	RPGHERO_CanShowSurvMenu							50
#define	RPGHERO_Cheater									51
#define	RPGHERO_Cheater2								52

#define	RPGHERO_PARAMS_COUNT							53	//count

//skills only for getting values
#define	RPGHERO_FULLNAME								54
//
#define	RPGHERO_CURAMMOCNT								55
#define	RPGHERO_GETAMMO1DIR								56
#define	RPGHERO_GETAMMO2DIR								57
#define	RPGHERO_GETAMMO3DIR								58
#define	RPGHERO_GETAMMO4DIR								59
#define	RPGHERO_GETAMMO5DIR								60
#define	RPGHERO_GETAMMO6DIR								61
#define	RPGHERO_GETAMMO7DIR								62
#define	RPGHERO_GETAMMO8DIR								63
#define	RPGHERO_GETAMMO9DIR								64
#define	RPGHERO__HP										65
#define	RPGHERO_HPPERCENT								66	//0%-1000%


//-----------------------------------------------------------------------
#define	RPGWEAPON_UNKNOWN				0
#define	RPGWEAPON_CLASSS				1
#define	RPGWEAPON_LEVEL					2
#define	RPGWEAPON_DAMAGEMIN				3
#define	RPGWEAPON_DAMAGEMAX				4
#define	RPGWEAPON_DAMAGERADIUS			5
#define	RPGWEAPON_CLIP					6
#define	RPGWEAPON_RELOAD				7
#define	RPGWEAPON_RELOADFULL			8
#define	RPGWEAPON_AIMRANGE				9
//#define	RPGWEAPON_AMMO					10
#define	RPGWEAPON_TRUNKANIM				11
#define	RPGWEAPON_BULLETVID				12
#define	RPGWEAPON_BULLETCOUNT			13
#define	RPGWEAPON_SHOTWAV				14
#define	RPGWEAPON_AMMOUSE				15

//number of bullets which were shot after last reload
#define	RPGWEAPON_VOLLEY				16
//ammount of time (in msec.) before weapon will be reload
#define	RPGWEAPON_RELOADTIMER			17
//time, when weapon was changed
#define	RPGWEAPON_CHANGETIME			18

#define	RPGWEAPON_SHELLVID				19
#define	RPGWEAPON_FLAMEVID				20
#define	RPGWEAPON_DEATHPUSH				21
#define	RPGWEAPON_EXPLOSIVE				22


//must be the last, of course
#define	RPGWEAPON_PARAMS_COUNT			23


//-----------------------------------------------------------------------
#define	RPGAMMO_UNKNOWN						0
#define	RPGAMMO_DAMAGEMIN					1
#define	RPGAMMO_DAMAGEMAX					2
#define	RPGAMMO_DAMAGERADIUS				3
#define	RPGAMMO_SURVIVEMAX					4
#define	RPGAMMO_DMGRND						5
#define	RPGAMMO_CAMPAIGNMAX					6
#define	RPGAMMO_CAMPAIGNMAX_MULT			7
#define	RPGAMMO_SUBCLASS					8


#define	RPGAMMO_PARAMS_COUNT				9


//-----------------------------------------------------------------------
#define	RPGARMOR_UNKNOWN					0
#define	RPGARMOR_LEVEL						1
#define	RPGARMOR_MAXHP						2
#define	RPGARMOR_HP							3
#define	RPGARMOR_ANIMTYPE					4
#define	RPGARMOR_DEFENCE					5

//for get only
#define	RPGARMOR_HPCALCED					6
	
#define	RPGARMOR_PARAMS_COUNT				7


//-----------------------------------------------------------------------
#define	RPGIMPLANT_CLASS							RPGHERO_PARAMS_COUNT
#define	RPGIMPLANT_LEVEL							RPGHERO_PARAMS_COUNT + 1
#define	RPGIMPLANT_NUMSKILL							RPGHERO_PARAMS_COUNT + 2
#define	RPGIMPLANT_ADDSKILLMIN						RPGHERO_PARAMS_COUNT + 3
#define	RPGIMPLANT_ADDSKILLMAX						RPGHERO_PARAMS_COUNT + 4
#define	RPGIMPLANT_ENABLED							RPGHERO_PARAMS_COUNT + 5

#define	RPGIMPLANT_PARAMS_COUNT						RPGHERO_PARAMS_COUNT + 6


//-----------------------------------------------------------------------
#define	RPGQUEST_STARTQUESTS						0
#define	RPGQUEST_ENDQUESTS							1
#define	RPGQUEST_ADDMONEY							2
#define	RPGQUEST_ADDEXPERIENCE						3
#define	RPGQUEST_ADDITEM							4
#define	RPGQUEST_DIALOGNUM							5
#define	RPGQUEST_ADDMONEY2							6
#define	RPGQUEST_ADDEXPERIENCE2						7
#define	RPGQUEST_REMITEM							8
#define	RPGQUEST_DIALOGNUM2							9
#define	RPGQUEST_UNNEEDED							10
#define	RPGQUEST_SNDBEGUN							11
#define	RPGQUEST_SNDCOMPLETE						12
#define	RPGQUEST_SETINFOQUEST						13
#define	RPGQUEST_EXTINFOQUEST						14
#define	RPGQUEST_ACCOMPLISHED						15
#define	RPGQUEST_WINONBEGIN							16

#define	RPGQUEST_PARAMS_COUNT						17


//-----------------------------------------------------------------------
#define	RPGSURVIVE_MONSTERS							0
#define	RPGSURVIVE_MONSTERSCOUNT					1
#define	RPGSURVIVE_PERIODS							2
#define	RPGSURVIVE_BOSSVID							3
#define	RPGSURVIVE_BOSSBONUSES						4
//#define	RPGSURVIVE_PAUSEAFTER					5
//#define	RPGSURVIVE_BOSSPAUSE						5
#define	RPGSURVIVE_PAUSES							5
#define	RPGSURVIVE_BONUSES							6
#define	RPGSURVIVE_BONUSRANDOM						7
#define	RPGSURVIVE_WITHOUTMENU						8

#define	RPGSURVIVE_PARAMS_COUNT						9

//-----------------------------------------------------------------------
#define	RPGCAMPAIGN_XXX								0

#define	RPGCAMPAIGN_PARAMS_COUNT					1

//-----------------------------------------------------------------------
#define	RPGEQUIP_CLASS								0
#define	RPGEQUIP_ADDHP								1
#define	RPGEQUIP_MAXENERGY							2
#define	RPGEQUIP_ENERGYRESTORE						3
#define	RPGEQUIP_SPOTRADIUS							4
#define	RPGEQUIP_SPOTDISTANCE						5
#define	RPGEQUIP_AUTOUSE							6
#define	RPGEQUIP_IGNOREMAXHP						7
#define	RPGEQUIP_ADDEXISTINGAMMO					8
#define	RPGEQUIP_ADDLIFE							9
#define	RPGEQUIP_MaxDamageAutoUse					10
#define	RPGEQUIP_MinHpAutoUse						11
#define	RPGEQUIP_AutoUseTime						12
#define	RPGEQUIP_DroneHp							13
#define	RPGEQUIP_DroneMaxHp							14
#define	RPGEQUIP_RepairArmor						15

#define	RPGEQUIP_PARAMS_COUNT						16

//-----------------------------------------------------------------------
//   ?!	zmTEMP?
//string RPG paramters
//#define	RPG_NAME									0
#define	RPG_FULLNAME								0	//  
#define	RPG_COMMENT									1	//  
#define	RPG_COMENT2									2	//    
#define	RPG_DESC									3	//    

#define	STR_PARAM_CNT								4


//-----------------------------------------------------------------------
//because implants include all hero parameters
//zmTEMP?
#define	MAX_RPGPARAMSCOUNT		RPGIMPLANT_PARAMS_COUNT


//-----------------------------------------------------------------------
//differnet constants
//for use in zRPGFrameWork::GetStringValue(..) to output skills as text
#define	RPG_HEROSKILL_TEXT		MAX_RPGPARAMSCOUNT + 1


//for scripts
static int UnneededVariable2343ydfg54gfhh;

#endif	//I_RPGBASEOBJECTCONST_H

